Skip to content

List Budget Flights

Request

Get a list of budget flights

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
campaign_idintegerrequired

Numeric ID of the campaign

Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
fullstring

To return all fields, set the value to *. For example, full=* will include all properties.

Example:full=*
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/campaigns/{campaign_id}/budget_flights?page_limit=100&page_offset=0&full=*' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

List budget flights response

Bodyapplication/json
Any of:
dataArray of objects
metaobject(pagination metadata)
Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }